package cn.kent.server;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * 服务器，模拟用户登录验证
 * 
 * @author Kent
 * @time 2019-06-04 12:24:58
 */
public class Server {
	public static void main(String[] args) throws IOException, ClassNotFoundException {
		
		// (1)创建ServerSocket对象
		ServerSocket server = new ServerSocket(8888);
		// (2)监听socket对象连接
		Socket socket = server.accept();
		// (3)获取输入流
		ObjectInputStream ois = new ObjectInputStream(socket.getInputStream());
		User user = (User) ois.readObject();
		String msg = "";
		if("admin".equals(user.getUsername()) && "admin".equals(user.getPassword())) {
			msg = "登录成功！";
		}else {
			msg = "用户名或密码错误！";
		}
		// (4)获取输出流
		DataOutputStream dos = new DataOutputStream(socket.getOutputStream());
		dos.writeUTF(msg);
		if(dos != null) {
			dos.close();
		}
		if(ois != null) {
			ois.close();
		}
		if(socket != null) {
			socket.close();
		}
		
	}
}
